.\" -*-nroff-*-
.\" ====================================================================
.\"  @Troff-man-file{
.\"     author          = "Nelson H. F. Beebe",
.\"     version         = "0.11",
.\"     date            = "14 January 2000",
.\"     time            = "11:17:10 MST",
.\"     filename        = "psposter.man",
.\"     address         = "Center for Scientific Computing
.\"                        Department of Mathematics
.\"                        University of Utah
.\"                        Salt Lake City, UT 84112
.\"                        USA",
.\"     telephone       = "+1 801 581 5254",
.\"     FAX             = "+1 801 581 4148",
.\"     URL             = "http://www.math.utah.edu/~beebe",
.\"     checksum        = "10134 1109 4418 30033",
.\"     email           = "beebe@math.utah.edu (Internet)",
.\"     codetable       = "ISO/ASCII",
.\"     keywords        = "PostScript, poster",
.\"     supported       = "yes",
.\"     docstring       = "This file contains the UNIX manual pages
.\"                        for the psposter utility, a program for
.\"                        creating simple one-page posters in
.\"                        PostScript.
.\"
.\"                        The checksum field above contains a CRC-16
.\"                        checksum as the first value, followed by the
.\"                        equivalent of the standard UNIX wc (word
.\"                        count) utility output of lines, words, and
.\"                        characters.  This is produced by Robert
.\"                        Solovay's checksum utility.",
.\"  }
.\" ====================================================================
.\"
.if n .ds Ps PostScript
.if t .ds Ps P\s-2OST\s+2S\s-2CRIPT\s+2
.\"
.if n .ds Te TeX
.if t .ds Te T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.\"
.TH PSPOSTER 1 "14 January 2000" "Version 0.11"
.\"=====================================================================
.SH NAME
psposter \- create simple one-page colored posters in PostScript
.\"======================================================================
.SH SYNOPSIS
.B psposter
[
.B +author
]
[
.BI +bd " color"
]
[
.BI +bg " color"
]
.if n .ti +\w'\fBpsposter\fP\ 'u
[
.BI +bm " dimension"
]
[
.BI +bs " factor"
]
[
.BI +bw " dimension"
]
.if t .ti +\w'\fBpsposter\fP\ 'u
.if n .ti +\w'\fBpsposter\fP\ 'u
[
.BI +c " nnn"
]
[
.B +copyright
]
[
.B +d
]
[
.BI +e " encoding"
]
.if n .ti +\w'\fBpsposter\fP\ 'u
[
.BI +fg " color"
]
[
.BI +fn " fontname"
]
[
.BI +h " dimension"
]
.if t .ti +\w'\fBpsposter\fP\ 'u
.if n .ti +\w'\fBpsposter\fP\ 'u
[
.B +help
]
[
.B +l
]
[
.BI +mw " dimension"
]
[
.BI +p " dimension"
]
.if n .ti +\w'\fBpsposter\fP\ 'u
[
.BI +paper " form"
]
[
.BI +r " angle"
]
[
.BI +s " factor"
]
.if t .ti +\w'\fBpsposter\fP\ 'u
.if n .ti +\w'\fBpsposter\fP\ 'u
[
.BI +source
]
[
.BI +table " { 8/o | 8/h | 16/o | 16/h }"
]
.if n .ti +\w'\fBpsposter\fP\ 'u
[
.B +version
]
[
.BI +w " dimension"
]
.if t .ti +\w'\fBpsposter\fP\ 'u
[
.BI +x " dimension"
]
.if n .ti +\w'\fBpsposter\fP\ 'u
[
.BI +y " dimension"
]
[
.B '?'
]
[
.B ++
]
.if t .ti +\w'\fBpsposter\fP\ 'u
.if n .ti +\w'\fBpsposter\fP\ 'u
[ word(s) or
.RI < infile
]
.RI > Encapsulated-\*(Ps\&-file
.\"======================================================================
.SH DESCRIPTION
.B psposter
creates an Encapsulated \*(Ps\& file containing a
one-page poster.  It may be included as a figure
in any document processing system that supports
inclusion of \*(Ps\& figures.
.PP
The poster text is typeset inside a colored box of
specified width and height, with an empty
surrounding margin, a colored border, and an inner
border margin.
.PP
The text area has a width of
.IR "(boxwidth - 2*marginwidth - 2*borderwidth - 2*bordermargin)" ,
and a height of
.IR "(boxheight - 2*marginwidth - 2*borderwidth - 2*bordermargin)" .
.PP
When landscape orientation is chosen, poster text
will be rotated 90 degrees counterclockwise, so
that it runs from bottom to top.  The width and
height of the poster box are
.I not
affected by this.
.PP
The poster text is assumed to be encoded in Adobe
Standard Encoding.  The ASCII encoding used by
most operating systems and file systems occupies
the first 128 characters of this encoding.
.PP
Because the characters in positions 129\|.\|.\|255
in Adobe Standard Encoding do not correspond to
more commonly-encountered encodings,
.B psposter
allows you to select alternate encodings, such as
ISO-8859-1, also known as Latin-1.
.PP
The ISO-8859-1 character set handles languages of
Western Europe (Danish, Dutch, English, Faeroese,
Finnish, Flemish, French, German, Icelandic,
Irish, Italian, Norwegian, Portuguese, Spanish,
and Swedish).  Many other languages can be written
in this character set, including Hawaiian,
Indonesian, and Swahili.
.PP
Use the
.BI +e " encoding"
and
.B +table
options described below to produce a font table
from which the octal values of any character in a
particular encoding can be easily determined.
.PP
If your keyboard or text editor do not support
entry of data in extended character sets, you can
represent such characters by a backslash followed
by the three octal digits defining their position
in the character set.  For example, \e347
represents the character `c-cedilla' in ISO-8859-1
encoding.  If you supply such data on the command
line, you must remember to quote it (on UNIX, with
apostrophes) to protect the backslash from shell
interpretation.
.\"======================================================================
.SH OPTIONS
Most options require values, which are supplied as
the
.I next
command-line argument.
.PP
Options are processed in order, so later ones
can override earlier ones.
.PP
The current implementation (in awk) requires
options to begin with a `+', rather than the
conventional `\-', so as to distinguish them from
.BR nawk (1)
options.
.PP
Color values can be specified by red/green/blue
fractional decimal values in 0\|.\|.\|1 separated
by characters other than digits or period,
optionally prefixed by
.IR rgbi: ,
or by X Window System named colors, or by X Window
System hexadecimal values.  The latter take either
of two general forms:
.I #<red><green><blue>
or
.I rgb:<red>/<green>/<blue>
where the angle-bracketed colors are hexadecimal
strings of characters from
.I 0123456789abcdef
or
.I 0123456789ABCDEF
of the form
.IR h " (4 bits),"
.IR hh " (8 bits),"
.IR hhh " (12 bits),"
and
.IR hhhh " (16 bits)."
The number of hexadecimal digits specified
determines the divisor used to reduce the integer
value to the range 0\|.\|.\|1:
.IR f = 15 " (4 bits),"
.IR ff = 255 " (8 bits),"
.IR fff = 4096 " (12 bits),"
and
.IR ffff = 65535 " (16 bits),"
For example,
.IR green ,
.IR #0f0 ,
.IR #00ff00 ,
.IR #000fff00 ,
.IR #0000ffff0000 ,
.IR rgb:0/f/0 ,
.IR rgb:0/ff/0 ,
.IR rgb:0/fff/0 ,
.IR rgb:0/ffff/0 ,
.IR rgbi:0/1/0 ,
and
.I 0/1/0
all represent green, and
.IR gray50 ,
.IR grey50 ,
.IR #888 ,
.IR #808080 ,
.IR #800800800 ,
.IR #800080008000 ,
.IR rgb:8/8/8 ,
.IR rgb:80/80/80 ,
.IR rgb:800/800/800 ,
.IR rgb:8000/8000/8000 ,
.IR rgbi:0.5/0.5/0.5 ,
and
.I 0.5:0.5:0.5
all represent 50% gray.
.PP
Other X Window System color space prefixes
(CIEXYZ, CIEuvY, CIExyY, CIELab, CIELuv, and
TekHVC) are
.I not
recognized.
.PP
No gamma correction is applied to any color value.
.PP
Letter case and spaces in color names is
.I not
significant, although names with spaces will
require shell quoting or backslashing.
.PP
Dimensions consist of a (possibly signed) number
followed by a \*(Te\& dimension unit:
.IR bp " (big points),"
.IR cc " (ciceros),"
.IR cm " (centimeters),"
.IR dd " (didot points),"
.IR in " (inches),"
.IR mm " (millimeters),"
.IR pc " (picas), "
.IR pt " (points),"
or
.IR sp " (scaled points)."
E.g., 72bp, 2.54cm, 67.542dd, 1in, 25.4mm,
6.023pc, 72.27pt, and 4\|736\|286.72sp all specify
a dimension of one inch.  \*(Ps\& uses
.I "big points"
as its default units, and its documentation refers
to them as points.
.PP
Poster text is given either as separate arguments
on the command line, or as separate lines of a
file supplied on standard input.  Multiple-word
arguments must be quoted or their spaces escaped
to be properly recognized.
.\"-----------------------------------------------
.TP \w'xxmwxdimension'u+3n
.B +author
Display an author credit on
.I stderr
and quit with a success return code (on UNIX, 0).
.\"-----------------------------------------------
.TP
.BI +bd " color"
Define border color.
.I "Default: 0.5:0.5:0.5 (50% gray)."
.\"-----------------------------------------------
.TP
.BI +bg " color"
Define background color.
.I "Default: 0.9:0.9:0.9 (10% gray)."
.\"-----------------------------------------------
.TP
.BI +bm " dimension"
Define border margin, which is additional space
between the text frame and the colored border.
.I "Default: 0bp."
.\"-----------------------------------------------
.TP
.BI +bs " factor"
Set the baseline skip to
.I factor
times the font pointsize.  This value defines the
interline spacing, or
.IR leading ,
as it is called in typography.
.I "Default: 1.2."
.\"-----------------------------------------------
.TP
.BI +bw " dimension"
Define border width.
.I "Default: 10bp."
.\"-----------------------------------------------
.TP
.BI +c " nnn"
Define number of copies to print.
.I "Default: 1."
.\"-----------------------------------------------
.TP
.B +copyright
Display copyright information on
.I stderr
and quit with a success return code (on UNIX, 0).
.\"-----------------------------------------------
.TP
.B +d
Display the font size on a second output page.
This option is useful for making a series of
posters with the same font size: specify
.B +d
for the poster with the longest text lines, then
use the output font size in an explicit
.B +p
option for all of the other posters.  This
round-about way is required because automatic text
sizing happens inside the \*(Ps\& output device,
rather than in
.BR psposter .
.\"-----------------------------------------------
.TP
.BI +e " encoding"
Specify a character-set encoding for the font.
.IP
An encoding is specified by either an absolute or
relative file name, or the base name of a file
(with
.I .enc
suffixed).  In the latter case, the file is
searched for in the
.I AFMPATH
search path.
.IP
\&\*(Ps\& fonts contain definitions of one or more
characters, each with a symbolic name.  Those
names are then assembled into an
.I "encoding vector"
that is used to map an input character number to a
particular font character.
.IP
Each \&\*(Ps\& font contains a default encoding
vector, in most cases, one conforming to Adobe
Standard Encoding, which contains the standard
ASCII characters in the lower 128 slots, and then
assorted accented letters and special symbols in
the upper 128.
.IP
It is not necessary for all defined characters to
be present in the encoding vector, and indeed,
some \&\*(Ps\& fonts contain more than 256
characters, which means that only a subset of at
most 256 characters can be used from the font at
any given time.
.IP
The default encoding can be determined either by
searching a \&\*(Ps\& font (ASCII or binary)
.RI ( .pfa
or
.IR .pfb )
file for lines defining the encoding, often
.RS
.nf
\&\fC/Encoding StandardEncoding def\fP
.fi
.RE
.IP
or by examining the corresponding Adobe font
metric
.RI ( .afm )
file for character entries like this:
.RS
.nf
\&\fCEncodingScheme AdobeStandardEncoding
\&.\|.\|.
C 251 ; WX 662 ; N germandbls  ; B 29 -12 647 742 ;
C  -1 ; WX 402 ; N onesuperior ; B 71 272 324 680 ;\fP
.fi
.RE
.IP
The second item on each such character line is
either the character's position in the font's
default encoding vector, or -1 if it has no
assigned default position.
.IP
The encoding file specified by the
.B +e
option may contain blank or empty lines, optional
comments from percent to end of line, and an
encoding vector that looks something like this:
.nf
\&\fC/ISOLatin1Encoding [
  /.notdef /.notdef /.notdef /.notdef /.notdef /.notdef
  \&.\|.\|.
  /.notdef /.notdef /space /exclam /quotedbl /numbersign
  \&.\|.\|.
  /question /at /A /B /C /D /E /F /G /H /I /J /K /L /M
  /ucircumflex /udieresis /yacute /thorn /ydieresis
] def\fP
.fi
There must be exactly 256 entries in the encoding
vector; slots that have no assigned character are
filled with the special name \fC/.notdef\fP.
.IP
The name of the encoding vector is arbitrary, but
is usually chosen to name the encoding, then given
a suffix of
.IR -Encoding .
.IP
Encoding files in this format are widely used in
\&\*(Te\&ware.
.IP
.B psposter
assumes Adobe Standard Encoding by default, but is
installed with at least these additional
encodings:
.IR ASCII ,
.IR CP1250 ,
.IR DOS437 ,
.IR DOS850 ,
.IR Expert ,
.IR HPRoman ,
.IR IBM-CP437 ,
.IR IBM-CP850 ,
.IR IBMPC ,
.IR ISO-8859-1 " (== " Latin-1 ),
.IR ISO-8859-2 " (== " Latin-2 ),
.IR ISO-8859-3 " (== " Latin-3 ),
.IR ISO-8859-4 " (== " Latin-4 ),
.IR ISO-8859-5 ,
.IR ISO-8859-6 ,
.IR ISO-8859-7 ,
.IR ISO-8859-8 ,
.IR ISO-8859-9 " (== " Latin-5 ),
.IR ISO-8859-10 " (== " Latin-6 ),
.IR ISO-8859-11 ,
.IR ISO-8859-12 ,
.IR ISO-8859-13 " (== " Latin-7 ),
.IR ISO-8859-14 " (== " Latin-8 ),
.IR ISO-8859-15 ,
.IR KOI8 ,
.IR MS-CP1250 ,
.IR MacExpert ,
.IR Macintosh ,
.IR NextStep ,
.IR PDFDoc ,
.IR Standard ,
.IR Symbol ,
.IR Windows ,
and
.IR ZapfDingbats .
.IP
Each encoding is defined in a separate file of the
same basename, suffixed with
.IR .enc ,
and stored in the shared directory where other
.B psposter
files are located (see the variable
.I SHRLIBDIR
in the
.B psposter
script; it appears to have the value
.nf
@shrlibdir@
.fi
at your site).
.IP
Few fonts have the necessary character repertoire
to support all of these encodings, so you may need
to print a font table (with this
.BI +e " encoding"
option and the
.B +table
option described below) to find out what
characters are missing.  \&\*(Ps\& printers will
silently replace undefined characters in a font
encoding vector by the character
.IR .notdef ,
which, in Adobe fonts at least, functions like a
space.  Some \&\*(Ps\& previewers, however, may
give you helpful diagnostics about missing
characters, like these from
.BR ghostscript (1):
.nf
\&\fC\ \ \ \ Substituting .notdef for Aogonek
\ \ \ \ Substituting .notdef for Lcaron
\ \ \ \ .\|.\|.\fP
.fi
.IP
.I "Default: Standard."
.\"-----------------------------------------------
.TP
.BI +fg " color"
Define foreground color.
.I "Default: 0:0:0 (black)."
.\"-----------------------------------------------
.TP
.BI +fn " fontname"
Select the \*(Ps\& font.  The name can be either
the long name of a Type 1 \*(Ps\& font, such as
.IR NewCenturySchlbk-BoldItalic ,
or the basename of a \*(Ps\& font in ASCII
.RI ( .pfa ),
or binary
.RI ( .pfb )
format, such as
.IR NewCenBI .
.B psposter
will also handle compressed variants of these
files from
.BR compress (1)
and
.BR gzip (1)
.RI ( .pfa.Z ,
.IR .pfb.Z ,
.IR .pfa.gz ,
and
.IR .pfb.gz ),
decompressing them on-the-fly.
.I "Default: Times-Bold."
.IP
Most \*(Ps\& printers contain a number of resident
fonts, but only a small number of downloadable
Type 1 \*(Ps\& fonts are available without a font
license, notably Adobe Courier and Utopia,
Bitstream Charter and Courier, and URW Antiqua,
Grotesk, and Nimbus.  These three vendors have
generously made these fonts available for free
distribution, but retain the copyrights.  More
than 2400 fonts are listed in the
.I afmfonts.map
file (see the
.B "\s-2ENVIRONMENT VARIABLES\s+2"
section below), but only a very small number are
likely to be available at a given site.
.IP
On a UNIX system, you can list the downloadable
fonts available at your site by
.nf
\&\fCgrep /FontName /usr/local/share/lib/afm/*.pfa\fP,
.fi
assuming that
.nf
\&\fC/usr/local/share/lib/afm\fP
.fi
is where they reside.
.IP
For a list of printer resident fonts, consult your
printer documentation, or print the small \*(Ps\&
file,
.IR fontlist.ps ,
that is distributed with
.BR psposter .
For convenience, that file is reproduced here; you
can adjust
.IR PointSize ,
.IR ColumnWidth ,
and the default display font
.RI ( Courier )
if you wish:
.RS
.nf
\&\fC%!
% fontlist.ps
% Send this file to a PostScript device to list
% the names of all of the resident fonts.
% [13-Dec-1994]
/inch { 72 mul } def
/PointSize 10 def
/ColumnWidth 3 inch def
/Courier findfont PointSize scalefont setfont
/n 0 def
/newcolumn
{
    /x x ColumnWidth add def
    x y moveto
    8 inch x gt { showpage newpage } if
} def
/newpage
{
    /x 1 inch def
    /y 10 inch def
    x y moveto
} def
/nstr 10 string def
/scratch 256 string def
newpage
(*)
{
    /n n 1 add def
    gsave
        n nstr cvs show
        (: ) show
        show
    grestore
    0 PointSize -1.2 mul rmoveto
    currentpoint exch pop 1 inch lt
    {
        newcolumn
    } if
}
scratch /Font resourceforall
showpage\fP
.fi
.RE
.\"-----------------------------------------------
.TP
.BI +h " dimension"
Define poster height.
.I "Default: paper height."
.\"-----------------------------------------------
.TP
.B +help
Display a help message on
.I stderr
and quit with a success return code (on UNIX, 0).
.\"-----------------------------------------------
.TP
.BI +l
Use landscape (instead of portrait) orientation
for text.  Text is rotated 90 degrees
counterclockwise, so that it runs from bottom to
top.  This is a shorthand for the rotation option
.B "+r 90"
(see below).  Only text,
.I not
the poster box, is affected by this option.
.\"-----------------------------------------------
.TP
.BI +mw " dimension"
Define margin width.  Most \*(Ps\& hardcopy output
devices are incapable of imaging closer than about
5mm to the edge of the display surface, so a
non-zero margin width is usually desirable.
.I "Default: 1in (or 25mm for ISO paper sizes)."
.\"-----------------------------------------------
.TP
.BI +p " dimension"
Set font pointsize.  Normally, the size is chosen
to make the poster text just fill the text frame,
either horizontally or vertically.  You can use
this option to force a particular font size,
e.g., to produce a series of posters with different
text, all at the same size.
.IP
Any poster text outside the text frame is clipped,
and not displayed.
.I "Default: automatically set."
.\"-----------------------------------------------
.TP
.BI +paper " form"
Set paper size.  See
.BR lptops (1)
for a list of supported sizes.
.IP
In addition to the standard sizes, any particular
size can be requested by giving it in the form
.IR widthxheight ,
e.g., 8.5inx11in or 210mmx297mm.
.IP
Selecting a landscape-format (width greater than
height) paper size does
.I not
affect poster text orientation.
.IP
If a paper size is too small to contain the
default or user-specified page margin, border
frame, border margin, and poster text,
.B psposter
issues a ``tight-fit'' warning, and eliminates the
margins and frame in order from outside to inside
to try to fit the poster text in the paper size.
.IP
If there is still insufficient space for poster
text, then
.B psposter
terminates execution immediately with a failure
exit code (on UNIX, 1).
.IP
.I "Default: installation dependent: usually A"
.I "(in the USA) and A4 (elsewhere)."
.\"-----------------------------------------------
.TP
.BI +r " angle"
Set the text rotation angle, which must be a
multiple of 90 degrees.  It is measured
counterclockwise from the horizontal axis.  The
.B +l
landscape option is equivalent to
.BR "+r 90" .
.I "Default: 0."
.\"-----------------------------------------------
.TP
.BI +s " factor"
Define poster scale factor.  This option can be
used to resize a poster without having to change
any other command-line options.
.I "Default: 1."
.\"-----------------------------------------------
.TP
.BI +source
Display software source archive information on
.I stderr
and quit with a success return code (on UNIX, 0).
.\"-----------------------------------------------
.TP
.BI +table " { 8/o | 8/h | 16/o | 16/h }"
When this option is given, command-line poster
words are ignored, and standard input is not read.
Instead,
.B psposter
makes a table of all of the characters in the
poster font.  The option value defines the number
of columns (8 or 16) and the label number base
(octal or hexadecimal).  The delimiter character
\&`/' can be any punctuation character.  With
16-column tables, you may also want to
specify the landscape option
.BR +l .
.IP
The table title includes the font size and name,
and the font encoding.
.IP
The title, and the row/column labels, are always
set in black Times-BoldItalic text.
.IP
Unless an explicit
.BI +p " dimension"
option is provided, the font size is automatically
adjusted to an integer value that maximizes table
size, while remaining within the poster text area.
.IP
.I "Default: no font table."
.\"-----------------------------------------------
.TP
.BI +version
Display the program version number on
.I stderr
and quit with a success return code (on UNIX, 0).
.\"-----------------------------------------------
.TP
.BI +w " dimension"
Define poster width.
.I "Default: paper width."
.\"-----------------------------------------------
.TP
.BI +x " dimension"
Define horizontal offset.  A positive value moves
the poster right on the output surface, and is
.I unaffected
by any poster scale factor, or by the choice of
rotated text.
.I "Default: 0bp."
.\"-----------------------------------------------
.TP
.BI +y " dimension"
Define vertical offset.  A positive value moves
the poster up on the output surface, and is
.I unaffected
by any poster scale factor, or by the choice of
rotated text.
.I "Default: 0bp."
.\"-----------------------------------------------
.TP
.B ?
Display a help message on
.I stderr
and quit with a success return code (on UNIX, 0).
.\"-----------------------------------------------
.TP
.B ++
No more options: remaining words are for poster
text.  This option is only needed if any of the
poster words begin with a `+'.
.\"======================================================================
.SH "EXAMPLES"
Print a full-size poster with an announcement:
.RS
.nf
\&\fCpsposter Chemistry 101 Examination 1:00pm--3:00pm | lpr\fP
.fi
.RE
.PP
Make a door sign in landscape mode:
.RS
.nf
\&\fCpsposter +l +w 10cm +h 25cm 'Prof. Jane Smith' >doorsign.eps\fP
.fi
.RE
.PP
Print the same sign, in color:
.RS
.nf
\&\fCpsposter +l +w 10cm +h 25cm +bd blue +bg skyblue \e
         +fg navyblue 'Prof. Jane Smith' | lpr\fP
.fi
.RE
If a \*(Ps\& printer is incapable of printing in
color, it will simulate color by shades of gray.
.PP
Make a sale sign:
.RS
.nf
\&\fCpsposter +bg yellow <<END-OF-DATA >yardsale.eps
Terrific
Yard Sale
Today
123 Elm St.
END-OF-DATA\fP
.fi
.RE
.PP
Make a seminar announcement:
.RS
.nf
\&\fCpsposter +bg orange <<EOF >seminar.eps
Biology Colloquium
Friday 23-Sep-1994
3pm--4pm
LSB 234

Dr. Judith Brown
Sex Life of Gnats
EOF\fP
.fi
.RE
.PP
Make a Danish road sign (the octal escape
sequences select the letters AE and o-slash; see
Appendix E of the
.IR "\*(Ps\& Language Reference" ,
third edition, Addison-Wesley, 1999, ISBN
0-201-37922-8):
.RS
.nf
\&\fCpsposter +bg yellow +fg black '\e341resk\e371bing' 5km >vejskilt.eps\fP
.fi
.RE
.PP
Make another road sign in a downloaded font,
supplying one leading and trailing blank on each
line:
.RS
.nf
\&\fCpsposter +bg green +fg white +fn URWGroteskT-Bold +r -90 \e
         ' Green River ' ' 106 miles ' >roadsign.eps\fP
.fi
.RE
(The stretch of highway I-70 in Utah from Salina
to Green River is claimed to be the longest in the
US Interstate Highway System without services.)
.PP
Make a poster showing the dingbat font layout:
.RS
.nf
\&\fCpsposter +fn ZapfDingbats +table 8/o >dingbats.eps\fP
.fi
.RE
.\"======================================================================
.SH "ENVIRONMENT VARIABLES"
.TP \w'AFMPATH'u+2n
AFMPATH
Search path for \*(Ps\& font mapping file,
.RI ( afmfonts.map ),
and for downloadable fonts in
\*(Ps ASCII
.RI ( .pfa )
and binary
.RI ( .pfb )
formats.  The font mapping file connects long
\*(Ps\& font names with (usually shorter) file
names on the host computer.
.IP
On UNIX, the search path is a colon-separated list
of directories.  On other operating systems, the
search path follows the conventions of those
systems.
.TP
RGBPATH
Search path for the X Window System color
definition file,
.IR rgb.txt .
.\"======================================================================
.SH "FILES"
.TP \w'\fIafmfonts.map\fP'u+3n
.I afmfonts.map
\*(Ps\& font mapping file.  It is distributed,
together with some freely-distributable Type 1
fonts in
.I .pfa
and
.I .pfb
formats, and numerous Adobe Font Metric
.RI ( .afm )
files, with
.BR lptops (1).
.B psposter
looks for this file, and downloadable fonts, in
the
.I AFMPATH
search path.
.IP
Typical lines in
.I afmfonts.map
look like this:
.RS
.nf
\&\fC% This line is a comment.
% This font name is too long for some
% operating systems, so we store it under a
% shorter name.  The font files will be
% HelvNaBI.afm, containing the character
% metrics (assorted dimensions), and
% HelvNaBI.pfa (ASCII) or HelvNaBI.pfb
% (binary), containing encrypted \*(Ps\&
% definitions of the character shapes.
Helvetica-Narrow-BoldOblique = HelvNaBI\fP
.fi
.RE
.TP
.I rgb.txt
Color mapping file distributed with the X Window
System.
.B psposter
looks for this file in the
.I RGBPATH
search path.
.IP
Typical lines in
.I rgb.txt
look like this:
.RS
.nf
\&\fC000 000 000         black
000 000 255         blue
000 255 000         green
000 255 255         cyan
255 000 000         red
255 000 255         magenta
255 255 000         yellow
255 255 255         white
250 235 215         antique white
250 235 215         AntiqueWhite\fP
.fi
.RE
.IP
There is no comment syntax.
.IP
The first three numbers define red, green, and
blue intensities on a scale of 0\|.\|.\|255, and
the remaining text on each line is the color name,
which, in the case of compound color names,
appears in two forms, one in lower case with blank
separators, and one without blanks, in mixed case.
.\"======================================================================
.SH "SEE ALSO"
.BR compress (1),
.BR dxpsview (1),
.BR ghostscript (1),
.BR ghostview (1),
.BR gs (1),
.BR gzip (1),
.BR lptops (1),
.BR pageview (1),
.BR rgb (1),
.BR showps (1),
.BR tex (1).
.\"======================================================================
.SH AUTHOR
.nf
Nelson H. F. Beebe, Ph.D.
Center for Scientific Computing
University of Utah
Department of Mathematics, 322 INSCC
155 S 1400 E RM 233
Salt Lake City, UT 84112-0090
Tel: +1 801 581 5254
FAX: +1 801 585 1640, +1 801 581 4148
Email: \fCbeebe@math.utah.edu\fP, \fCbeebe@acm.org\fP, \fCbeebe@ieee.org\fP
URL: \fChttp://www.math.utah.edu/~beebe\fP
.fi
.\"======================================================================
.SH COPYRIGHT
.nf
\fC########################################################################
########################################################################
########################################################################
###                                                                  ###
###  psposter: create simple one-page colored posters in PostScript  ###
###                                                                  ###
###              Copyright (C) 2000 Nelson H. F. Beebe               ###
###                                                                  ###
### This program is covered by the GNU General Public License (GPL), ###
### version 2 or later, available as the file COPYING in the program ###
### source distribution, and on the Internet at                      ###
###                                                                  ###
###               ftp://ftp.gnu.org/gnu/GPL                          ###
###                                                                  ###
###               http://www.gnu.org/copyleft/gpl.html               ###
###                                                                  ###
### This program is free software; you can redistribute it and/or    ###
### modify it under the terms of the GNU General Public License as   ###
### published by the Free Software Foundation; either version 2 of   ###
### the License, or (at your option) any later version.              ###
###                                                                  ###
### This program is distributed in the hope that it will be useful,  ###
### but WITHOUT ANY WARRANTY; without even the implied warranty of   ###
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    ###
### GNU General Public License for more details.                     ###
###                                                                  ###
### You should have received a copy of the GNU General Public        ###
### License along with this program; if not, write to the Free       ###
### Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   ###
### MA 02111-1307 USA                                                ###
########################################################################
########################################################################
########################################################################\fP
.fi
.\"======================================================================
.SH AVAILABILITY
Internet source distributions of
.B psposter
are available at the World-Wide Web Uniform
Resource Locator addresses
.RS
.nf
\&\fCftp://ftp.math.utah.edu/pub/misc/psposter-0.11.jar\fP
\&\fCftp://ftp.math.utah.edu/pub/misc/psposter-0.11.tar.gz\fP
\&\fCftp://ftp.math.utah.edu/pub/misc/psposter-0.11.zip\fP
\&\fCftp://ftp.math.utah.edu/pub/misc/psposter-0.11.zoo\fP
\&\fChttp://www.math.utah.edu/pub/misc/psposter-0.11.jar\fP
\&\fChttp://www.math.utah.edu/pub/misc/psposter-0.11.tar.gz\fP
\&\fChttp://www.math.utah.edu/pub/misc/psposter-0.11.zip\fP
\&\fChttp://www.math.utah.edu/pub/misc/psposter-0.11.zoo\fP
.fi
.RE
.\"==============================[The End]==============================
.\" This is for GNU Emacs file-specific customization:
.\" Local Variables:
.\" fill-column: 50
.\" End:
